Create a vendor bank account

Create a vendor bank account for an existing vendor.

To update vendor bank account information, you must first delete the existing vendor bank account (with DELETE /v3/vendors/{vendorId}/bank-account), and then create a new vendor bank account (with POST /v3/vendors/{vendorId}/bank-account) with the updated information.

Note: When you add a vendor bank account in the production environment, BILL requires 2 business days to complete a one-time verification of the bank account. To pay such a vendor, you must set a processDate that is 2 business days from the current date.

Path Params
string
required
length ≥ 1

BILL-generated ID of the vendor. The value begins with 009.

Body Params
string

Vendor bank account name

string
required
length ≥ 1

Vendor bank account number. This field is required for enabling electronic payments to vendors.

See Create an international vendor for more information on how to set up vendor payment information for an international (not US) vendor.

string

Vendor bank routing number. This field is required for enabling electronic payments to vendors. This field is empty for an IBAN accountNumber.

See Create an international vendor for more information on how to set up vendor payment information for an international (not US) vendor.

string
enum

Vendor bank account type. This value is required for enabling electronic payments to international vendors (not United States) in specific countries.

Allowed:
string
enum

Vendor bank account owner type

Allowed:
regulatoryFields
array of objects

International bank account regulatory information. The name and value fields are required for each required bank account regulatory field.

See Create an international vendor for more information on how to set regulatoryFields.

regulatoryFields
string
enum

Payment currency. Three-letter abbreviation. This field is required for enabling electronic payments to vendors.

See Country information for international payments in the BILL Help Center for more information.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json